Bug 145853 - After starting, hal-device-manager crashes instantly.
After starting, hal-device-manager crashes instantly.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pygtk2 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-22 07:06 EST by sangu
Modified: 2013-04-02 00:20 EDT (History)
2 users (show)

See Also:
Fixed In Version: pygtk2-2.5.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-26 09:15:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sangu 2005-01-22 07:06:42 EST
Description of problem:

After starting, hal-device-manager crashes instantly.

Backtrace was generated from '/usr/bin/hal-device-manager'

(no debugging symbols found)
Using host libthread_db library "/lib/tls/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1208051040 (LWP 5217)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
0x009517a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#0  0x009517a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
#1  0x005153e3 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
#2  0x0129ef50 in libgnomeui_module_info_get () from /usr/lib/libgnomeui-2.so.0
#3  <signal handler called>
#4  0x006d80ff in PyErr_Occurred () from /usr/lib/libpython2.4.so.1.0
#5  0x0066954f in PyObject_Cmp () from /usr/lib/libpython2.4.so.1.0
#6  0x007d274f in ?? () from /usr/lib/python2.4/site-packages/dbus_bindings.so
#7  0x0071e2e0 in PyListIter_Type () from /usr/lib/libpython2.4.so.1.0
#8  0x0071e2e0 in PyListIter_Type () from /usr/lib/libpython2.4.so.1.0
#9  0xbff12728 in ?? ()
#10 0x0085ccfc in dbus_bus_remove_match () from /usr/lib/libdbus-1.so.0
#11 0x0085f90d in dbus_connection_dispatch () from /usr/lib/libdbus-1.so.0
#12 0x0032b4e8 in dbus_g_connection_flush () from /usr/lib/libdbus-glib-1.so.0
#13 0x00df7178 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#14 0x00df8998 in g_main_context_acquire () from /usr/lib/libglib-2.0.so.0
#15 0x00df8cbf in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#16 0x00ffacf6 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#17 0x0042a742 in init_gtk ()
   from /usr/lib/python2.4/site-packages/gtk-2.0/gtk/_gtk.so
#18 0x006c59da in PyEval_EvalFrame () from /usr/lib/libpython2.4.so.1.0
#19 0x006c9e7d in PyEval_EvalCodeEx () from /usr/lib/libpython2.4.so.1.0
#20 0x006ca11d in PyEval_EvalCode () from /usr/lib/libpython2.4.so.1.0
#21 0x006e5897 in PyErr_Display () from /usr/lib/libpython2.4.so.1.0
#22 0x006e69e2 in PyRun_SimpleFileExFlags () from /usr/lib/libpython2.4.so.1.0
#23 0x006e74e9 in PyRun_AnyFileExFlags () from /usr/lib/libpython2.4.so.1.0
#24 0x006ed1f0 in Py_Main () from /usr/lib/libpython2.4.so.1.0
#25 0x080485b2 in main ()

Thread 1 (Thread -1208051040 (LWP 5217)):
#0  0x009517a2 in _dl_sysinfo_int80 () from /lib/ld-linux.so.2
No symbol table info available.
#1  0x005153e3 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
No symbol table info available.
#2  0x0129ef50 in libgnomeui_module_info_get () from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3  <signal handler called>
No symbol table info available.
#4  0x006d80ff in PyErr_Occurred () from /usr/lib/libpython2.4.so.1.0
No symbol table info available.
#5  0x0066954f in PyObject_Cmp () from /usr/lib/libpython2.4.so.1.0
No symbol table info available.
#6  0x007d274f in ?? () from /usr/lib/python2.4/site-packages/dbus_bindings.so
No symbol table info available.
#7  0x0071e2e0 in PyListIter_Type () from /usr/lib/libpython2.4.so.1.0
No symbol table info available.
#8  0x0071e2e0 in PyListIter_Type () from /usr/lib/libpython2.4.so.1.0
No symbol table info available.
#9  0xbff12728 in ?? ()
No symbol table info available.
#10 0x0085ccfc in dbus_bus_remove_match () from /usr/lib/libdbus-1.so.0
No symbol table info available.
#11 0x0085f90d in dbus_connection_dispatch () from /usr/lib/libdbus-1.so.0
No symbol table info available.
#12 0x0032b4e8 in dbus_g_connection_flush () from /usr/lib/libdbus-glib-1.so.0
No symbol table info available.
#13 0x00df7178 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#14 0x00df8998 in g_main_context_acquire () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#15 0x00df8cbf in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#16 0x00ffacf6 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
No symbol table info available.
#17 0x0042a742 in init_gtk ()
   from /usr/lib/python2.4/site-packages/gtk-2.0/gtk/_gtk.so
No symbol table info available.
#18 0x006c59da in PyEval_EvalFrame () from /usr/lib/libpython2.4.so.1.0
No symbol table info available.
#19 0x006c9e7d in PyEval_EvalCodeEx () from /usr/lib/libpython2.4.so.1.0
No symbol table info available.
#20 0x006ca11d in PyEval_EvalCode () from /usr/lib/libpython2.4.so.1.0
No symbol table info available.
#21 0x006e5897 in PyErr_Display () from /usr/lib/libpython2.4.so.1.0
No symbol table info available.
#22 0x006e69e2 in PyRun_SimpleFileExFlags () from /usr/lib/libpython2.4.so.1.0
No symbol table info available.
#23 0x006e74e9 in PyRun_AnyFileExFlags () from /usr/lib/libpython2.4.so.1.0
No symbol table info available.
#24 0x006ed1f0 in Py_Main () from /usr/lib/libpython2.4.so.1.0
No symbol table info available.
#25 0x080485b2 in main ()
No symbol table info available.


Version-Release number of selected component (if applicable):

hal-0.4.6-2

How reproducible:

Always

Steps to Reproduce:
1. Excute hal-device-manager
2.
3.
  
Actual results:


Expected results:


Additional info:

pygtk2-2.5.2-1
Comment 1 David Zeuthen 2005-01-22 10:28:48 EST
I've seen this issue with other Python GNOME/GTK+ apps, so I'm reassigning this bug.
Comment 2 David Zeuthen 2005-01-22 12:57:42 EST
Reverting the following packages back to

 pygtk2-2.4.1-2.i386.rpm
 pygtk2-devel-2.4.1-2.i386.rpm 
 pygtk2-libglade-2.4.1-2.i386.rpm

fixes the issue.

Note You need to log in before you can comment on or make changes to this bug.